Page MenuHomePhabricator

Visual fixes
Open, Needs TriagePublic

Description

Problem:
The following list of visual fixes has 2 purposes:

  1. Ensure that the Bridge is visually aligned with the Vector/OOUI and Minerva, so it blends with its WP environment (corrections)
  2. Improve the visual consistency of the Bridge modal itself (Improvements)

Corrections

  • Body text: A line height of 1.6 is applied to all 14px body text (instead of 1.5)
  • The line-height of desktop button labels (14px font size) is 18px (1.285). Top/bottom padding: 6px + 1px border (Figma Specs)
  • The line-height of mobile button labels (16px font size) is 20px (1.25). Top/bottom padding: 9px + 1px border (Figma Specs)
  • The line-height of the radio button labels (16px font size) is 20px (1.25).
  • Consequently, the size of radio buttons' inputs is 20px too, instead of 24px (its size is dependent of the label line-height. Maybe we could use the css 'lh' unit here to achieve that!) (Specs in Figma)
  • The left and right padding of mobile buttons (40px height) is 12px (instead of 16px) (Figma Specs)

*Note: labels (button text, radio/checkbox button labels, etc) were incorrectly treated as body text in the designs, that is why their line-height needs fixing now.

Improvements

  • The vertical spacing between the last reference and the radio button group title should be 24px (there are currently 8 extra px)

Please find needed specs in the following Figma frame.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 25 2020, 4:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

So does this mean that 1.6 is now our standard line-height for all text? IIRC we already use it for the larger text (16px) in the (shared) radio input component.

Sarai-WMDE added a comment.EditedMar 11 2020, 6:02 PM

Unfortunately not for all text, only 14px (0.85rem) font should have a 1.6 line-height.

The line-height of the base 16px text should stay 1.5 (this is actually the line-height applied to the larger text in the radio button as far as I know. I confirmed this by inspecting the Storybook component).

Right, sorry, I mixed up the two line heights in the radio input.

Sarai-WMDE renamed this task from Improvement: Increase line-height of 14px font to 1.6 (22px) to Visual fixes.Apr 6 2020, 4:56 PM
Sarai-WMDE updated the task description. (Show Details)
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptApr 6 2020, 4:56 PM
Sarai-WMDE updated the task description. (Show Details)Apr 17 2020, 8:01 AM

Change 589075 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: update Wikimedia UI and OOUI

https://gerrit.wikimedia.org/r/589075

Change 589075 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: update WikimediaUI Base and OOUI

https://gerrit.wikimedia.org/r/589075

Sarai-WMDE updated the task description. (Show Details)Apr 29 2020, 2:30 PM
Sarai-WMDE updated the task description. (Show Details)
Sarai-WMDE updated the task description. (Show Details)May 6 2020, 8:11 AM
Sarai-WMDE updated the task description. (Show Details)May 6 2020, 8:28 AM
Michael added a subscriber: Michael.May 6 2020, 9:36 AM

(its size is dependent of the label line-height. Maybe we could use the css 'lh' unit here to achieve that!)

The lh unit is going to be pretty awesome! Unfortunately, it is still very experimental and not yet supported by browsers: https://caniuse.com/#feat=mdn-css_types_length_lh

(its size is dependent of the label line-height. Maybe we could use the css 'lh' unit here to achieve that!)

The lh unit is going to be pretty awesome! Unfortunately, it is still very experimental and not yet supported by browsers: https://caniuse.com/#feat=mdn-css_types_length_lh

oooohhhh :'( Thanks for checking, Michael!

Sarai-WMDE updated the task description. (Show Details)May 19 2020, 9:36 AM
Sarai-WMDE updated the task description. (Show Details)May 19 2020, 9:39 AM